View Issue Details

IDProjectCategoryView StatusLast Update
0000822SymmetricDSImprovementpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.1.5Fixed in Version3.1.5 
Summary0000822: Add new constructor to ClientSymmetricEngine so SymmetricDS can share an embedding application's Datasource and Spring Context
DescriptionAdd new constructor to ClientSymmetricEngine so SymmetricDS can share an embedding application's Datasource and Spring Context
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 3e267e85

2012-09-12 10:12:49

chenson

Details Diff
0000822: Add new constructor to ClientSymmetricEngine so SymmetricDS can share an embedding application's Datasource and Spring Context
0000822
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/AbstractCommandLauncher.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataContext.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataProcessor.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-server/src/main/deploy/change-log-3.0.txt Diff File

Issue History

Date Modified Username Field Change
2012-09-12 10:09 chenson New Issue
2012-09-12 10:09 chenson Status new => closed
2012-09-12 10:09 chenson Assigned To => chenson
2012-09-12 10:09 chenson Resolution open => fixed
2012-09-12 10:09 chenson Fixed in Version => 3.1.5
2012-09-12 10:09 chenson Target Version => 3.1.5
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6276
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3e267e85